[pkg-wine-party] [wine] 02/08: Revert "Drop wine script."

Jens Reyer jreyer-guest at moszumanska.debian.org
Sun Jan 3 18:12:46 UTC 2016


This is an automated email from the git hooks/post-receive script.

jreyer-guest pushed a commit to branch master
in repository wine.

commit 913b21091703787447ab157cfeb7a39ef3561605
Author: Jens Reyer <jre.winesim at gmail.com>
Date:   Sun Jan 3 02:07:09 2016 +0100

    Revert "Drop wine script."
    
    This reverts commit 4f29927f2dad2070d1ed750fc6ccf0244e650afb.
---
 debian/scripts/wine | 45 +++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 45 insertions(+)

diff --git a/debian/scripts/wine b/debian/scripts/wine
new file mode 100755
index 0000000..eb929a9
--- /dev/null
+++ b/debian/scripts/wine
@@ -0,0 +1,45 @@
+#!/bin/sh -e
+
+name=$(basename $0)
+bindir=/usr/lib/$name
+
+wine32=$bindir/wine
+wine64=$bindir/wine64
+
+if test -x $wine32 -a "$WINEARCH" != "win64"; then
+    wine=$wine32
+elif test -x $wine64; then
+    wine=$wine64
+    if [ "$(dpkg --print-architecture)" = "amd64" -a "$(dpkg --print-foreign-architectures | grep -cx "i386")" -ne 1 ]; then
+        echo "it looks like multiarch needs to be enabled.  as root, please"
+        echo "execute \"dpkg --add-architecture i386 && apt-get update &&"
+        echo "apt-get install $(echo $name | sed s/wine/wine32/)\""
+    fi
+else
+    echo "error: unable to find wine executable.  this shouldn't happen."
+    exit 1
+fi
+
+if test -z "$WINEPREFIX"; then
+    if test "$wine" = "$wine64"; then
+        wineprefix=$HOME/.wine64
+    else
+        wineprefix=$HOME/.wine
+    fi
+else
+    wineprefix=$WINEPREFIX
+fi
+
+if test -z "$WINELOADER"; then
+    wineloader=$wine
+else
+    wineloader=$WINELOADER
+fi
+
+if test -z "$WINEDEBUG"; then
+    winedebug=-all
+else
+    winedebug=$WINEDEBUG
+fi
+
+WINEPREFIX=$wineprefix WINELOADER=$wineloader WINEDEBUG=$winedebug $wine "$@"

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/pkg-wine/wine.git



More information about the pkg-wine-party mailing list